﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;

using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.Linq;
using MvcApp.Models;

using Syncfusion.JavaScript.Models;

using System.Web.Script.Serialization;
using System.Reflection;
using Newtonsoft.Json.Linq;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Drawing;

namespace MvcApp.Controllers
{
    public class HomeController : Controller
    {
       
        public ActionResult Index()
        {

            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }

        public ActionResult CrudUrl(EditableOrder value, int key, string action)
        {
            if (action == "update")
                OrderRepository.Update(value);
            else if (action == "insert")
                OrderRepository.Add(value);
            else if (action == "remove")
                OrderRepository.Delete(key);
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }
       
        
        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
    
}
